<?php

namespace JsonapiExample\Schemas;

use JsonApi\Schemas\SchemaProvider;

class Example extends SchemaProvider
{
    const TYPE = "jsonapi-examples";

    protected $resourceType = self::TYPE;

    public function getId($resource)
    {
        return $resource->id;
    }

    public function getAttributes($resource)
    {
        return [
            "title" => $resource->title,
            "mkdate" => date("c", $resource->mkdate),
        ];
    }
}
