<?php

namespace JsonapiExample\Routes;

use JsonApi\JsonApiController;
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

class ExamplesIndex extends JsonApiController
{
    public function __invoke(Request $request, Response $response, $args)
    {
        $examples = \JsonapiExample\Models\Example::findAll();

        return $this->getContentResponse($examples);
    }
}
